PrefabFiles = {
	"daisy",
	"daisy_skins",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/daisy.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/daisy.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/daisy.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/daisy.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/daisy_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/daisy_silho.xml" ),

    Asset( "IMAGE", "bigportraits/daisy.tex" ),
    Asset( "ATLAS", "bigportraits/daisy.xml" ),
	
	Asset( "IMAGE", "images/map_icons/daisy.tex" ),
	Asset( "ATLAS", "images/map_icons/daisy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_daisy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_daisy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_daisy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_daisy.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_daisy.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_daisy.xml" ),
	
	Asset( "IMAGE", "images/names_daisy.tex" ),
    Asset( "ATLAS", "images/names_daisy.xml" ),
	
    Asset( "IMAGE", "bigportraits/daisy_none.tex" ),
    Asset( "ATLAS", "bigportraits/daisy_none.xml" ),

    Asset( "IMAGE", "bigportraits/daisy_casual.tex" ),
    Asset( "ATLAS", "bigportraits/daisy_casual.xml" ),
	
	Asset( "IMAGE", "bigportraits/daisy_cosplay.tex" ),
    Asset( "ATLAS", "bigportraits/daisy_cosplay.xml" ),
	
	Asset( "IMAGE", "bigportraits/daisy_survivor.tex" ),
    Asset( "ATLAS", "bigportraits/daisy_survivor.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/daisy.fev"),
	Asset("SOUND", "sound/daisy.fsb"),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.daisy = "The Sporty Princess"
GLOBAL.STRINGS.CHARACTER_NAMES.daisy = "Daisy"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.daisy = "*Can take some of the heat!\n*Athletic!\n*Errr... Is a princess!"
GLOBAL.STRINGS.CHARACTER_QUOTES.daisy = "\"Hi, I'm Daisy!\""

GLOBAL.STRINGS.SKIN_QUOTES.daisy_casual = "I'm not much of a dress person."
GLOBAL.STRINGS.SKIN_NAMES.daisy_casual = "The Lazy Sunday"
GLOBAL.STRINGS.SKIN_DESCRIPTIONS.daisy_casual = "Who plays sports in dresses?"

GLOBAL.STRINGS.SKIN_QUOTES.daisy_cosplay = "Let's-a go!"
GLOBAL.STRINGS.SKIN_NAMES.daisy_cosplay = "The Cosplay"
GLOBAL.STRINGS.SKIN_DESCRIPTIONS.daisy_cosplay = "Well one of 'em has to go home and change."

GLOBAL.STRINGS.SKIN_QUOTES.daisy_survivor = "Ha! I'm not easy to take down!"
GLOBAL.STRINGS.SKIN_NAMES.daisy_survivor = "The Survivor"
GLOBAL.STRINGS.SKIN_DESCRIPTIONS.daisy_survivor = "All that lack of kidnappings toughened her up."

RemapSoundEvent( "dontstarve/characters/daisy/death_voice", "daisy/daisy/death_voice" )
RemapSoundEvent( "dontstarve/characters/daisy/hurt", "daisy/daisy/hurt" )
RemapSoundEvent( "dontstarve/characters/daisy/talk_LP", "daisy/daisy/talk_LP" )
RemapSoundEvent( "dontstarve/characters/daisy/ghost_LP", "daisy/daisy/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/daisy/yawn", "daisy/daisy/yawn" )
RemapSoundEvent( "dontstarve/characters/daisy/pose", "daisy/daisy/pose" )
RemapSoundEvent( "dontstarve/characters/daisy/emote", "daisy/daisy/emote" )

local CHARACTER = "daisy"
AddComponentPostInit("inventory",function(cmp)
	OldEquipHasTag=cmp.EquipHasTag
	function cmp:EquipHasTag(tag)
		if self.inst.prefab==CHARACTER and tag=="regal" then
			return true
		else
			return OldEquipHasTag(self,tag)
		end
	end
end)

-- Custom speech strings
STRINGS.CHARACTERS.DAISY = require "speech_daisy"

-- The character's name as appears in-game 
STRINGS.NAMES.DAISY = "Daisy"

AddMinimapAtlas("images/map_icons/daisy.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("daisy", "FEMALE")
GLOBAL.MakeModCharacterSkinnable ("daisy")
modimport("scripts/daisymod_skins.lua")